Bug 1127163 - [xmlrpc]the document for TestRun.create method about estimated_time was wrong.
Summary: [xmlrpc]the document for TestRun.create method about estimated_time was wrong.
Keywords:
Status: VERIFIED
Alias: None
Product: TCMS
Classification: Other
Component: XMLRPC
Version: 3.8.10
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 3.8.10
Assignee: Yang Ren
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 10:07 UTC by yangqiu
Modified: 2018-07-04 21:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description yangqiu 2014-08-06 10:07:12 UTC
Description of problem:
as summary.

Version-Release number of selected component (if applicable):
v3.8.10-1 on devel server.

How reproducible:
100%

Steps to Reproduce:
1.the document for TestRun.create method about estimated_time was HH:MM:MM
2.user invoke TestRun.create with estimated_time as '11:22:33'.
3.user invoke TestRun.create with estimated_time as '11d22h33m44s'.

Actual results:
for step 2: system returns error like:Fault: <Fault 400: ["[('estimated_time', u'Enter a valid estimated time. e.g. 12h45m')]"]>
for step 3: system can create the run.

Expected results:
for step 2: system can create the run.
for step 3: system returns error like:Fault: <Fault 400: ["[('estimated_time', u'Enter a valid estimated time. e.g. 11:22:33')]"]>

Additional info:

Comment 1 yangqiu 2014-08-13 06:10:17 UTC
verify this bug on v3.8.10-1 on devel server.--->Pass
estimated_time support both 2h30m30s(recommend) and HH:MM:SS Format for TestRun.create method.


Note You need to log in before you can comment on or make changes to this bug.